View Issue Details

IDProjectCategoryView StatusLast Update
0003737OpenFOAMBugpublic2021-10-12 12:33
Reporterjfp6Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version18.04
Product Versiondev 
Fixed in Versiondev 
Summary0003737: compressibleInterFoam reads fvConstraints for limitTemperature but is not applied
DescriptioncompressibleInterFoam reads in fvConstraints for limitTemperature but does not seem to apply the constraint.
-------------------fvConstraints read in from log----------------------
No fvModels present
Creating fvConstraints from "system/fvConstraints"

Selecting finite volume constraint type limitTemperature
    Name: limitTair
    - selecting all cells
    - selected 1360 cell(s) with volume 1075
Selecting finite volume constraint type limitTemperature
    Name: limitTwater
    - selecting all cells
    - selected 1360 cell(s) with volume 1075
Courant Number mean: 0 max: 0
Constructing face velocity Uf
--------------------Constraint not used from log-----------------------
...
--> FOAM Warning :
    From function void Foam::fvConstraints::checkApplied() const
    in file cfdTools/general/fvConstraints/fvConstraints.C at line 124
    Constraint limitTair defined for field e.air but never used
--> FOAM Warning :
    From function void Foam::fvConstraints::checkApplied() const
    in file cfdTools/general/fvConstraints/fvConstraints.C at line 124
    Constraint limitTwater defined for field e.water but never used
DILUPBiCGStab: Solving for T, Initial residual = 0.276052, Final residual = 3.78243e-14, No Iterations 1
-------------------------------------------------------------------------------
Steps To ReproduceAdd fvConstraints limitTemperature to a compressibleInterFoam tutorial. I did this with sloshingTank2D. Here are the fvConstraints added:
------------------fvConstraints----------------------
limitTair
{
    type limitTemperature;
    selectionMode all;
    min 310;
    max 500;
    phase air;
}
limitTwater
{
    type limitTemperature;
    selectionMode all;
    min 310;
    max 500;
    phase water;
}
--------------------
I tried temperatures below and above the temperature of the case but it doesn't seem to matter.
Additional Informationdev-af3769dc4e89 is my version.

This functionality is useful for cases where guesses for T0 are negative. This is not always the best approach to limit temperature, but can be helpful during case start-up.

Please let me know if you need more information.
TagsNo tags attached.

Activities

jfp6

2021-10-08 01:07

reporter  

log.compressibleInterFoam (99,421 bytes)

henry

2021-10-09 22:26

manager   ~0012225

The current limitTemperature fvConstraint does not work with compressibleInterFoam as this solver is unique in that it solves the mixture temperature equation rather than an energy equation and consequently will need either special treatment in limitTemperature or a special fvConstraint.

Would you like to fund the implementation of this new fvConstraint?

jfp6

2021-10-09 23:21

reporter   ~0012226

Ok, that makes sense now. This must be why the limitTemperature functions correctly for multiphaseEulerFoam. I would consider funding this; we are currently Silver level supporters but I am assuming this would be beyond the scope of that funding. Do you have a rough idea of how many hours would need to be funded to accomplish something like this?

henry

2021-10-12 12:33

manager   ~0012232

Resolved by commit fb53b915b2439f67fb88f6d46c671bbd18f70cb6

Issue History

Date Modified Username Field Change
2021-10-08 01:07 jfp6 New Issue
2021-10-08 01:07 jfp6 File Added: log.compressibleInterFoam
2021-10-09 22:26 henry Note Added: 0012225
2021-10-09 23:21 jfp6 Note Added: 0012226
2021-10-12 12:33 henry Assigned To => henry
2021-10-12 12:33 henry Status new => resolved
2021-10-12 12:33 henry Resolution open => fixed
2021-10-12 12:33 henry Fixed in Version => dev
2021-10-12 12:33 henry Note Added: 0012232